/**********************************************************************

	--- Qt Architect generated file ---

	File: ObjectEditor.h
	Last generated: Sun Jul 26 16:18:16 1998

 *********************************************************************/

#ifndef ObjectEditor_included
#define ObjectEditor_included

#include "ObjectEditorData.h"
#include <qstring.h>

class ObjectEditor : public ObjectEditorData
{
    Q_OBJECT

public:
   ObjectEditor(QWidget* parent = NULL, const char* name = NULL, 
      bool nochange = FALSE);

   virtual ~ObjectEditor();

   void SetData(int s_Maxiter, double s_Lvalue, double s_Bailout,  int s_Formula,
      double s_cx, double s_cy, double s_ck, double s_cl);
   void GetData(int* g_Maxiter, double* g_Lvalue, double* g_Bailout, int* g_Formula,
      double* g_cx, double* g_cy, double* g_ck, double* g_cl);

protected slots:
   virtual void setMaxiter(const char *);
   virtual void setLvalue(const char *);
   virtual void setBailout(const char *);
   virtual void setFormula(const int);
   virtual void setCx(const char *);
   virtual void setCy(const char *);
   virtual void setCk(const char *);
   virtual void setCl(const char *);
   virtual void setKvalue(int);
   virtual void down();
   virtual void ZoomOut();
   virtual void ZoomIn();
   virtual void left();
   virtual void right();
   virtual void up();
   virtual void do2DPreview();
   virtual void do3DPreview();
   virtual void setOwnView(bool);
signals:
//   void maxiterChanged(int);
//   void lvalueChanged(double);
//   void bailoutChanged(double);
//   void formulaChanged(int);
//   void cxChanged(double);
//   void cyChanged(double);
//   void clChanged(double);
//   void ckChanged(double);
   void maxiterChanged(QString);
   void maxiterChanged(const char *);
   void lvalueChanged(QString);
   void lvalueChanged(const char *);
   void bailoutChanged(QString);
   void bailoutChanged(const char *);
   void formulaChanged(int);
   void cxChanged(QString);
   void cxChanged(const char *);
   void cyChanged(QString);
   void cyChanged(const char *);
   void clChanged(QString);
   void clChanged(const char *);
   void ckChanged(QString);
   void ckChanged(const char *);
   void kvalueChanged(int i);
   void Move_Left();
   void Move_Right();
   void Move_Up();
   void Move_Down();
   void Zoom_In();
   void Zoom_Out();
   void ownViewChanged(bool);
   void sig3DPreview();
   void sig2DPreview();
private:
   QString Maxiter;
   int Formula, KValue;
   QString LValue, Bailout;
   QString cx, cy, ck, cl;
};
#endif // ObjectEditor_included
